﻿/*  Ustawienia paska nawigacyjnego
*/

nav {
    background-color: var(--secondary-accent);
    background-image: var(--background-texture);
    color: var(--primary-text);
    padding-left: 60px;
    padding-top: 10px;
    padding-bottom: 10px;
    padding-right: 60px;
    display: grid;
    grid-template-columns: 1fr 1fr;
    border-style: solid;
    border-width: 5px 0px 5px 0px;
    border-color: var(--primary-accent);
}

.navbar {
    text-decoration: none;
    color: var(--primary-text);
}

img.avatar-icon {
    width: 50px;
    height: 50px;
    float: left;
    margin-right: 5px;
    border-style: solid;
    border-width: 2px; 
    border-color: var(--primary-text);
}

#avatar-icon {
    width: 50px;
    height: 50px;
}

/*  Rotacja zębatki po najechaniu na element po prawej
*   Ustawienia domyślne
*/

.rotation-container {
    display: inline;
    margin: 0px;
    perspective: 1000px;
    position: relative;
}

.rotation-container:hover .gear {
    transform: rotateZ(720deg);
}

.gear, .animated-icon, .initial-icon {
    width: 50px;
    height: 50px;
}

.gear {
    display: inline-block;
    transition: 6s all;
    transform-style: preserve-3d;
    position: relative;
    left: 0px;
    top: 0px;
}

.animated-icon {
    display: none;
    z-index: 1;
}

.initial-icon {
    z-index: 2;
}

.rotation-container:hover .animated-icon {
    transition-delay: 1s;
    opacity: 1;
    display: block;
}

.rotation-container:hover .navbar-site, .rotation-container:hover .initial-icon {
    opacity: 0;
}

/* Ustawienia paska nawigacyjnego dla wersji na komputer
*/

@media (min-width:960px) {  
    nav {
        padding-bottom: 30px;
        grid-template-columns: 1fr 1.3fr;
    }
    
    .navbar, .navbar-site{
        display: inline;
        color: var(--primary-text);
        padding: 0px;
        position: relative;
    } 

    .navbar-site {
        left: 25px;
    }

    #nav-elements-right {
        display: inline;
        text-align: right;
    }

    #nav-elements-left {
        display: inline;
        text-align: left;
        padding: 15px;
    }

    #nav-icons-right, #nav-icons-left {
        display: none;
    }

    .gear {
        left: -37px;
        top: 20px;
    }
}

/* Ustawienia paska nawigacyjnego dla wersji mobilnej
*/

@media (max-width:960px) {

    nav {
        padding-bottom: 30px;
    }

    .navbar-icon {
        width: 50px;
        height: 50px;
        display: inline;
        text-decoration: none;
        padding-top: 25px;
        padding-bottom: 25px;
    }

    #nav-elements-right, #nav-icons-left {
        display: none;
    }

    #nav-elements-left {
        display: inline;
        text-align: left;
        padding: 15px;
    }
   
    #nav-icons-right {
        display: inline;
        text-align: right;
        padding: 15px;
    }

    .rotation-container {
        margin: -20px;
    }

    .gear {
        left: -50px;
    }
}

/* Ustawienia paska nawigacyjnego dla wersji na komputer
*  Ulepszone zwijanie elementów
*/

@media (max-width: 750px)
{
    nav {
        grid-template-columns: 1fr 1.6fr;
    }

    #nav-elements-left {
        display: none;
    }

    #nav-icons-left {
        display: inline;
        text-align: left;
        padding: 15px;
    }

    img#login-icon, img#register-icon, img#logout-icon {
        width: 50px;
        height: 50px;
    }
}
